package com.ss.android.ugc.aweme.anchor.service;

import X.C3181BAj;
import X.Lnj;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.base.AnchorListManager;

public final class AnchorListServiceImpl implements IAnchorListService {
    static {
        Covode.recordClassIndex(53007);
    }

    public final void LIZ() {
        AnchorListManager.LJII.LIZ();
    }

    public static IAnchorListService LIZIZ() {
        MethodCollector.i(14361);
        IAnchorListService iAnchorListService = (IAnchorListService) Lnj.LIZ(IAnchorListService.class, false);
        if (iAnchorListService != null) {
            MethodCollector.o(14361);
            return iAnchorListService;
        }
        Object LIZIZ = Lnj.LIZIZ(IAnchorListService.class, false);
        if (LIZIZ != null) {
            IAnchorListService iAnchorListService2 = (IAnchorListService) LIZIZ;
            MethodCollector.o(14361);
            return iAnchorListService2;
        }
        if (Lnj.LJJJ == null) {
            synchronized (IAnchorListService.class) {
                try {
                    if (Lnj.LJJJ == null) {
                        Lnj.LJJJ = new AnchorListServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(14361);
                    throw th;
                }
            }
        }
        AnchorListServiceImpl anchorListServiceImpl = (AnchorListServiceImpl) Lnj.LJJJ;
        MethodCollector.o(14361);
        return anchorListServiceImpl;
    }

    public final void LIZ(String str, String str2, String str3, String str4) {
        M12.LIZ(str, str2, str3, str4);
        C3181BAj bAj = new C3181BAj();
        bAj.LIZ = str;
        bAj.LIZJ = str2;
        bAj.LJ = 1;
        bAj.LJIILL = str3;
        bAj.LIZLLL = str4;
        bAj.LJFF();
    }
}
